Bug 490889 - abrt renders my system unusable
abrt renders my system unusable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-18 09:14 EDT by Matthias Clasen
Modified: 2015-02-01 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.0.4-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-03-18 09:14:35 EDT
by filling up 100% of my disk with crash dumps after a few days.
It needs some options to limit the amount of crashes that it stores, and those need to be set to some sane values by default. Filling up my disk is not acceptable.
Comment 1 Matthias Clasen 2009-03-31 13:22:22 EDT
Any progress on this ? My system ran out of disk again yesterday.
Comment 2 Jiri Moskovcak 2009-04-01 03:26:42 EDT
Hi,
I have fix ready and about to push to git repo, so it should be in the rawhide repo until the end of this week.

Jirka
Comment 3 Matthias Clasen 2009-04-15 22:21:14 EDT
What is the state of this ?
Comment 4 Matthias Clasen 2009-04-20 02:21:07 EDT
Appears to be fixed in 0.0.3-1 (at least it mentions this bug in changelog
Comment 5 Jiri Moskovcak 2009-04-20 03:48:03 EDT
Yes, it's fixed in 0.0.3-1.
Comment 6 Matthias Clasen 2009-06-14 11:16:24 EDT
Still happening to me though, in F12.
Comment 7 Matthias Clasen 2009-06-14 11:30:52 EDT
Also, when this happens, it is really hard to control.

/sbin/service abrt stop 

tells me it failed,

and /proc/sys/kernel/core_pattern does not get reset, meaning that hookCCpp keeps filling up my disk until I can manually get the core_pattern cleared.
Comment 8 Fedora Update System 2009-06-24 08:31:16 EDT
abrt-0.0.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/abrt-0.0.4-2.fc11
Comment 9 Fedora Update System 2009-06-26 22:42:32 EDT
abrt-0.0.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.